## javax.media.jai.registry
Class RenderableCollectionRegistryMode

    java.lang.Object
      |
      +--javax.media.jai.RegistryMode
            |
            +--javax.media.jai.registry.RenderableCollectionRegistryMode

public class RenderableCollectionRegistryMode
extends RegistryMode

A class that provides information about the "renderableCollection" registry (operation) mode.

Since:
  JAI 1.1

Field Summary
`static java.lang.String` `MODE_NAME`

Constructor Summary
`RenderableCollectionRegistryMode()` Constructor.

Methods inherited from class javax.media.jai.RegistryMode
`addMode, arePreferencesSupported, arePropertiesSupported, getDescriptorClass, getDescriptorClasses, getFactoryClass, getFactoryMethod, getMode, getModeNames, getModeNames, getName, getProductClass, removeMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_NAME

    public static final java.lang.String MODE_NAME

Constructor Detail

### RenderableCollectionRegistryMode

    public RenderableCollectionRegistryMode()

  Constructor. A `RegistryMode` that represents a `ContextualRenderedImageFactory` keyed in a case insensitive fashion by the string "renderable". The "renderable" mode has no preferences but supports properties.